kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject [kafka] branch trunk updated: MINOR: Update dependencies for Kafka 2.4 (#7126)
Date Thu, 08 Aug 2019 13:01:52 GMT
This is an automated email from the ASF dual-hosted git repository.

ijuma pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 66d81a0  MINOR: Update dependencies for Kafka 2.4 (#7126)
66d81a0 is described below

commit 66d81a0e50680916f541703049dd4e911542b5ed
Author: Ismael Juma <ismael@juma.me.uk>
AuthorDate: Thu Aug 8 06:01:22 2019 -0700

    MINOR: Update dependencies for Kafka 2.4 (#7126)
    
    Scala 2.12.9 brings another 5% ~ 10% improvement in compiler performance,
    improved compatibility with JDK 11/12/13, and experimental infrastructure for
    build pipelining.
    
    zstd update includes performance improvements, among which the
    primary improvement is that decompression is ~7% faster.
    
    Level | v1.4.0 | v1.4.1 | Delta
    -- | -- | -- | --
    1 | 1390 MB/s | 1453 MB/s | +4.5%
    3 | 1208 MB/s | 1301 MB/s | +7.6%
    5 | 1129 MB/s | 1233 MB/s | +9.2%
    7 | 1224 MB/s | 1347 MB/s | +10.0%
    16 | 1278 MB/s | 1430 MB/s | +11.8%
    
    Jetty 9.4.19 includes a number of bug fixes:
    https://github.com/eclipse/jetty.project/releases/tag/jetty-9.4.19.v20190610
    
    Mockito 3.0.0 switched the Java requirement from 7 to 8.
    
    Several updates to owaspDepCheckPlugin (4.0.2 -> 5.2.1).
    
    The rest are patch updates.
    
    Reviewers: Rajini Sivaram <rajinisivaram@googlemail.com>
---
 bin/kafka-run-class.sh          |  2 +-
 bin/windows/kafka-run-class.bat |  2 +-
 gradle.properties               |  2 +-
 gradle/dependencies.gradle      | 20 ++++++++++----------
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/bin/kafka-run-class.sh b/bin/kafka-run-class.sh
index 7098925..dc0235e 100755
--- a/bin/kafka-run-class.sh
+++ b/bin/kafka-run-class.sh
@@ -48,7 +48,7 @@ should_include_file() {
 base_dir=$(dirname $0)/..
 
 if [ -z "$SCALA_VERSION" ]; then
-  SCALA_VERSION=2.12.8
+  SCALA_VERSION=2.12.9
 fi
 
 if [ -z "$SCALA_BINARY_VERSION" ]; then
diff --git a/bin/windows/kafka-run-class.bat b/bin/windows/kafka-run-class.bat
index 3bec536..cc9f3d6 100755
--- a/bin/windows/kafka-run-class.bat
+++ b/bin/windows/kafka-run-class.bat
@@ -27,7 +27,7 @@ set BASE_DIR=%CD%
 popd
 
 IF ["%SCALA_VERSION%"] EQU [""] (
-  set SCALA_VERSION=2.12.8
+  set SCALA_VERSION=2.12.9
 )
 
 IF ["%SCALA_BINARY_VERSION%"] EQU [""] (
diff --git a/gradle.properties b/gradle.properties
index c4b58b9..9c49496 100644
--- a/gradle.properties
+++ b/gradle.properties
@@ -21,6 +21,6 @@ group=org.apache.kafka
 #  - tests/kafkatest/version.py (variable DEV_VERSION)
 #  - kafka-merge-pr.py
 version=2.4.0-SNAPSHOT
-scalaVersion=2.12.8
+scalaVersion=2.12.9
 task=build
 org.gradle.jvmargs=-Xmx1024m -Xss2m
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index d436833..f3d0e31 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -30,7 +30,7 @@ ext {
 
 // Add Scala version
 def defaultScala211Version = '2.11.12'
-def defaultScala212Version = '2.12.8'
+def defaultScala212Version = '2.12.9'
 def defaultScala213Version = '2.13.0'
 if (hasProperty('scalaVersion')) {
   if (scalaVersion == '2.11') {
@@ -63,18 +63,18 @@ versions += [
   apacheda: "1.0.2",
   apacheds: "2.0.0-M24",
   argparse4j: "0.7.0",
-  bcpkix: "1.61",
+  bcpkix: "1.62",
   checkstyle: "8.20",
   commonsCli: "1.4",
   gradle: "5.4.1",
   gradleVersionsPlugin: "0.21.0",
   grgit: "3.1.1",
-  httpclient: "4.5.8",
+  httpclient: "4.5.9",
   easymock: "4.0.2",
   jackson: "2.9.9",
   jacksonDatabind: "2.9.9.3",
   jacoco: "0.8.3",
-  jetty: "9.4.18.v20190429",
+  jetty: "9.4.19.v20190610",
   jersey: "2.28",
   jmh: "1.21",
   hamcrest: "2.1",
@@ -97,25 +97,25 @@ versions += [
   lz4: "1.6.0",
   mavenArtifact: "3.6.1",
   metrics: "2.2.0",
-  mockito: "2.27.0",
-  owaspDepCheckPlugin: "4.0.2",
+  mockito: "3.0.0",
+  owaspDepCheckPlugin: "5.2.1",
   powermock: "2.0.2",
   reflections: "0.9.11",
   rocksDB: "5.18.3",
-  scalaCollectionCompat: "2.1.0",
+  scalaCollectionCompat: "2.1.2",
   scalafmt: "1.5.1",
   scalaJava8Compat : "0.9.0",
   scalatest: "3.0.8",
   scoverage: "1.4.0",
   scoveragePlugin: "2.5.0",
   shadowPlugin: "4.0.4",
-  slf4j: "1.7.26",
+  slf4j: "1.7.27",
   snappy: "1.1.7.3",
   spotbugs: "3.1.12",
   spotbugsPlugin: "1.6.9",
-  spotlessPlugin: "3.23.0",
+  spotlessPlugin: "3.23.1",
   zookeeper: "3.5.5",
-  zstd: "1.4.0-1"
+  zstd: "1.4.2-1"
 ]
 
 libs += [


Mime
View raw message